/***************************************************************************
                      bluetoothsettings.h  -  description
                             -------------------
    begin                : Fri Dec 13 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef BLUETOOTHSETTINGS_H
#define BLUETOOTHSETTINGS_H

#include <qwidget.h>
#include <bluetoothsettingsbase.h>

class BluetoothSettings : public BluetoothSettingsBase
{
Q_OBJECT

public: 
	BluetoothSettings(QWidget *parent=0, const char *name=0);
	~BluetoothSettings();

	static const char* const configGroup;
	static const char* const configChannel;
	static const int configChannelDefault = 10;
	static const char* const configAddress;
	static const char* const configAddressDefault;

signals:
	void settingsChanged();

protected slots:
	void slotChannel(int value);
	void slotAddress(const QString& address);
};

#endif
