/***************************************************************************
                       infraredsettings.cpp  -  description
                             -------------------
    begin                : Fri Dec 13 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "infraredsettings.h"

#include <qlineedit.h>

#include <kapp.h>
#include <kconfig.h>

const char* const InfraredSettings::configGroup = "Infrared Settings";
const char* const InfraredSettings::configService = "Service";
const char* const InfraredSettings::configServiceDefault = "OBEX";

InfraredSettings::InfraredSettings(QWidget *parent, const char *name ) : InfraredSettingsBase(parent,name) {

	// Read and restore settings from config file
	kapp->config()->setGroup(configGroup);
	service->setText(kapp->config()->readEntry(configService, configServiceDefault));

	// Connect slot
	connect(service, SIGNAL(textChanged(const QString&)), this, SLOT(slotService(const QString&)));
}

InfraredSettings::~InfraredSettings(){
}

void InfraredSettings::slotService(const QString& serv) {
	// Save setting
	kapp->config()->setGroup(configGroup);
	kapp->config()->writeEntry(configService, serv);

	// Emit signal
	emit settingsChanged();
}
