/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : Sat Nov  9 18:56:38 GMT 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kcmdlineargs.h>
#include <kaboutdata.h>
#include <klocale.h>
#include <kmessagebox.h>

#include "k68.h"
#include "sender.h"

static const char *description =
	I18N_NOOP("K68 - A KDE utility for the Sony Ericsson T68i");
	
	
static KCmdLineOptions options[] =
{
  { "+[URL]", I18N_NOOP("File to send to phone"), 0 },
  { 0, 0, 0 }
  // INSERT YOUR COMMANDLINE OPTIONS HERE
};

int main(int argc, char *argv[])
{

  KAboutData aboutData( "k68", I18N_NOOP("K68"),
    VERSION, description, KAboutData::License_GPL,
    "(c) 2002, James Stembridge", 0, 0, "jstembridge@gmx.net");
  aboutData.addAuthor("James Stembridge",0, "jstembridge@gmx.net");

  // Initialize command line args
  KCmdLineArgs::init( argc, argv, &aboutData );

  // Add our own options
  KCmdLineArgs::addCmdLineOptions( options );

  // Create application
  KApplication a;

  // Handle our own options
  KCmdLineArgs *args = KCmdLineArgs::parsedArgs();
  if(args->count() == 0) {
	// Standard operation
	K68 *k68 = new K68();
	a.setMainWidget(k68);
	k68->show();
  } else {
	// Send a single file - show prompt
	QString msg = i18n("Send \"") + args->arg(0) + i18n("\" to phone?");
    if(KMessageBox::questionYesNo(0, msg, i18n("Send file to phone?"),
								  KStdGuiItem::yes(), KStdGuiItem::no(),
								  "Ask Send") == KMessageBox::Yes) {
	  // Send file
	  KURL url = args->url(0);
	  QObex *obex = K68::createObex();
	  Sender *send = new Sender(obex, url);
	  a.setMainWidget(send);
	  send->show();
	} else
	  return 0;
  }

  // Free memory
  args->clear();

  return a.exec();
}
