/***************************************************************************
                          qobexclient.h  -  description
                             -------------------
    begin                : Fri Dec 20 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QOBEXCLIENT_H
#define QOBEXCLIENT_H

#include "qobexclient.h"
#include "qobex.h"

#include <qobject.h>

class QObexClient : public QObject
{
Q_OBJECT

public:
	QObexClient(QObex&);
	~QObexClient();

	void start();

signals:
    void error(const QString&);
    void info(const QString&);
	void done();

protected slots:
	void slotRequestDone(QObexObject&, QObex::Command, QObex::Response);
    void slotIdle();
    
protected:
    void disconnectClient();
    virtual void startOp() = 0;
    virtual void finishOp(QObexObject&) = 0;

    QObex& obex;

    QString baseInfoMsg;

    enum State { Connecting,
                 Connected,
                 Disconnecting,
                 Disconnected,
                 Running,
                 Finished,
                 Error };

    State state;
};

#endif
