/***************************************************************************
                        qobexobject.h  -  description
                             -------------------
    begin                : Tue Dec 10 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef QOBEXOBJECT_H
#define QOBEXOBJECT_H

extern "C" {
	#include <openobex/obex.h>
}

#include "qobex.h"

class QObexHeader;

class QObexObject
{
public:
	QObexObject(QObex&, QObex::Command);
	~QObexObject();

	enum addHeaderFlag { None = 0,
						 FitOnePacket = OBEX_FL_FIT_ONE_PACKET,
						 StreamStart = OBEX_FL_STREAM_START,
						 StreamData = OBEX_FL_STREAM_DATA,
						 StreamEnd = OBEX_FL_STREAM_DATAEND };

	void addHeader(QObexHeader&, addHeaderFlag);
	QObexHeader* getNextHeader();
	void setResponse(QObex::Response, QObex::Response);

protected:
	QObexObject(obex_t*, obex_object_t*);

	obex_t *obex;
	obex_object_t *object;

friend class QObex;
};

#endif
