/***************************************************************************
                          settings.h  -  description
                             -------------------
    begin                : Mon Dec 9 2002
    copyright            : (C) 2002 by James Stembridge
    email                : jstembridge@gmx.net
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#include "settingsbase.h"

#include <qwidget.h>
#include <qwidgetstack.h>

class BluetoothSettings;
class InfraredSettings;
class SerialCableSettings;

class Settings : public SettingsBase
{
Q_OBJECT

public: 
	Settings(QWidget *parent=0, const char *name=0);
	~Settings();

	static const char* const configGroup;
	static const char* const configTransport;
	static const char* const configBluetooth;
	static const char* const configInfrared;
	static const char* const configSerialCable;

signals:
	void settingsChanged();

protected:
	QWidgetStack *stack;
	BluetoothSettings *bluetoothSettings;
	InfraredSettings *infraredSettings;
	SerialCableSettings *serialCableSettings;

protected slots:
	void slotTransport(int id);
	void slotSettingsChanged();
};

#endif
